// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！

// --------------------------------------------------------------------------
// 监测教师管理服务
// --------------------------------------------------------------------------

import { request } from '@umijs/max';

/** 上传监测教师批量导入文件 POST /api/exam/teacher/upload */
export async function upload(data: FormData, options?: { [key: string]: any }) {
    const url = '/api/exam/teacher/upload';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<API.UploadExamDataOutput_UploadExamTeacherOutput>>(
        url,
        config,
    );
    return res?.data;
}

/** 批量导入监测教师 POST /api/exam/teacher/import */
export async function importAction(
    data: API.ImportExamTeacherInput,
    options?: { [key: string]: any },
) {
    const url = '/api/exam/teacher/import';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 添加监测教师 POST /api/exam/teacher/add */
export async function add(data: API.AddExamTeacherInput, options?: { [key: string]: any }) {
    const url = '/api/exam/teacher/add';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 更新监测教师 POST /api/exam/teacher/update */
export async function update(data: API.UpdateExamTeacherInput, options?: { [key: string]: any }) {
    const url = '/api/exam/teacher/update';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 删除监测教师 POST /api/exam/teacher/del */
export async function del(data: API.BaseId, options?: { [key: string]: any }) {
    const url = '/api/exam/teacher/del';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 清空监测教师 POST /api/exam/teacher/clear */
export async function clear(data: API.ClearExamTeacherInput, options?: { [key: string]: any }) {
    const url = '/api/exam/teacher/clear';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 分页查询监测教师列表 POST /api/exam/teacher/query-page-list */
export async function queryPageList(
    data: API.ExamTeacherPageInput,
    options?: { [key: string]: any },
) {
    const url = '/api/exam/teacher/query-page-list';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<API.PageResponse<API.ExamTeacherOutput>>>(
        url,
        config,
    );
    return res?.data;
}

export default {
    /** 上传监测教师批量导入文件 POST /api/exam/teacher/upload */
    upload,
    /** 批量导入监测教师 POST /api/exam/teacher/import */
    importAction,
    /** 添加监测教师 POST /api/exam/teacher/add */
    add,
    /** 更新监测教师 POST /api/exam/teacher/update */
    update,
    /** 删除监测教师 POST /api/exam/teacher/del */
    del,
    /** 清空监测教师 POST /api/exam/teacher/clear */
    clear,
    /** 分页查询监测教师列表 POST /api/exam/teacher/query-page-list */
    queryPageList,
};
